/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.regression.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.ejb3.test.regression.PassivationTest;
import org.jboss.test.JBossTestCase;

/**
 * Test reentrant remote call.  There was a bug that remoting didn't route locally
 * and the tx propagation was happening when it shouldn't
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: EntityManagerPassivationUnitTestCase.java,v 1.1.4.4 2005/09/14 22:19:13 bill Exp $
 */

public class EntityManagerPassivationUnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public EntityManagerPassivationUnitTestCase(String name)
   {

      super(name);

   }

   public void testPassivation() throws Exception
   {
      PassivationTest test = (PassivationTest)getInitialContext().lookup(PassivationTest.class.getName());
      test.echo("hello world");
      Thread.sleep(3000);
      test.createContact();
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(EntityManagerPassivationUnitTestCase.class, "regression-test.ejb3");
   }

}
